import grok

from waeup.basecontainer import BaseContainer
from student import Student
from waeup.utils import csv

class StudentContainer(BaseContainer):
    """
    The node containing the student models
    """
    name = u"Students"
    childClass = Student
    

class Import(grok.View):
    def render(self):
        t = [0]
        src = os.path.join(os.path.dirname(__file__), 'tests',
                           'results2.csv')
        inputfile = file(src, "r")
        num = 0
        headers, rows = csv.readFile(inputfile)
        for i in rows:
             s = Student(i)
             self.context[str(num)] = s
             num += 1
        return "%s new Students added in %s" % (num, t[0])

class Export(grok.View):    
    def render(self):
        t = [0]
        result = []
        for s in self.context.values():
             result.append(s.getCsv())
        csv.writeFile(result)
        return "yeah %s" % t[0]
